net.sf.saxon.s9api

## Class SaxonApiUncheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.saxon.s9api.SaxonApiUncheckedException

- All Implemented Interfaces:
    Serializable

      public class SaxonApiUncheckedException
      extends RuntimeException

  An unchecked exception thrown by the Saxon API. Unchecked exceptions are used only when errors occur in a method for which the interface specification defines no checked exception, for example `Iterator.next()`. The exception always wraps some underlying exception, which can be retrieved using `Throwable.getCause()`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaxonApiUncheckedException(Throwable err)` Create an unchecked exception

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Returns the detail message string of this throwable.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SaxonApiUncheckedException

          public SaxonApiUncheckedException(Throwable err)

      Create an unchecked exception
      Parameters:
        `err` - the underlying cause

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Returns the detail message string of this throwable.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the detail message string of this `Throwable` instance (which may be `null`).

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.